#include <iostream>
#include<string>
using namespace std;
int main()
{
    long long N,K,M,a[1000000];
    int i,br=0,br1=0,suma=0,T,j,l;
    cin>>T;
    long long n[T],k[T],m[T];
    string r[T];
    for(i=0; i<T; i++)
    {
        cin>>n[i]>>m[i]>>k[i];
    }
    for(i=0; i<T; i++)
    {
        N=n[i];
        M=m[i];
        K=k[i];
        suma=0;
    if(N%K==0)
    {
        br=N/K;
        for(j=0; j<K; j++)
        {
            a[j]=br;
        }
    }
    if(N%K!=0)
    {
        br=N%K;
        br1=(N-br)/(K-1);
        for(j=0; j<K; j++)
        {
            if(j==0)
            {a[j]=br;}
            else if(j!=0)
            {a[j]=br1;}
        }
    }
    for(l=0; l<K; l++)
    {
        suma=suma+(a[l]*(a[l]+1)/2);
    }
    if(suma<M)
    {r[i]="Tak";}
    if(suma>M)
    {r[i]="Nie";}
    }
    for(i=0; i<T; i++)
    {
        cout<<r[i]<<endl;
    }
    return 0;
}